Restore a volume backup
POST
/v1/cloud_block_storage/backups/{backup_id}/restoreTo restore a backup, send a POST request to the /v1/cloud_block_storage/backups/{backup_id}/restore endpoint. Add an ID of a necessary backup in the path and choose a volume in the query parameter.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
backup_id*string
A unique identifier of a backup.
Request Body
application/json
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/cloud_block_storage/backups/46dBXa79/restore" \ -H "Content-Type: application/json" \ -d '{ "volume_id": "WPe9xdLy" }'{ "id": "46dBXa79", "openstack_uuid": "4dda8ab6-7872-473a-8324-670942356e3a", "openstack_volume_uuid": "6906ad5e-536e-4400-8ca1-d6e54383697c", "region_id": 0, "region_code": "NL01", "name": "back1", "size": 1, "status": "restoring", "labels": {}, "created_at": "2026-05-28T07:06:41Z"}{ "message": "Region in maintenance mode", "code": "CLOUD_REGION_MAINTENANCE"}